Havelåge med sol

Jeg havde et gammelt foto af en havelåge med sol. Og så kom jeg sidste år forbi Brønshøj Kirkevej. Her var der endnu en havelåge med sol - og tillige en dobbelt havelåge til en indkørsel. Dertil murede stolper til lågerne. Der blev i hast taget et par billeder og højden af lågen målt.

Her er min kode til en af lågerne:

# PRINTES MED LAGTYKKELSE 0.04 mm
# PRINTES MED 0.25 dyse

import Part
from FreeCAD import Vector

### Ramme

# Hjørne SV
laage = Part.makeTorus(0.5,0.20,Vector(0,0,0),Vector(0,0,1),0,360,90)
laage.rotate(Vector(0,0,0),Vector(0,0,1),180)

# Lige stykke V
laage2 = Part.makeCylinder(0.20,11,Vector(-0.5,0,0),Vector(0,1,0),360)
laage = laage.fuse(laage2)

# Hjørne NV
laage2 = Part.makeTorus(0.5,0.20,Vector(0,11,0),Vector(0,0,1),0,360,90)
laage2.rotate(Vector(0,11,0),Vector(0,0,1),90)
laage = laage.fuse(laage2)

# Lige stykke N
laage2 = Part.makeCylinder(0.20,13,Vector(0,11.5,0),Vector(1,0,0),360)
laage = laage.fuse(laage2)

# Lige stykke S
laage2 = Part.makeCylinder(0.20,13,Vector(0,-0.5,0),Vector(1,0,0),360)
laage = laage.fuse(laage2)

# Hjørne Nø
laage2 = Part.makeTorus(0.5,0.20,Vector(13,11,0),Vector(0,0,1),0,360,90)
laage = laage.fuse(laage2)

# Hjørne Sø
laage2 = Part.makeTorus(0.5,0.20,Vector(13,0,0),Vector(0,0,1),0,360,90)
laage2.rotate(Vector(13,0,0),Vector(0,0,1),-90)
laage = laage.fuse(laage2)

# Lige stykke ø
laage2 = Part.makeCylinder(0.20,11,Vector(13.5,0,0),Vector(0,1,0),360)
laage = laage.fuse(laage2)

### Sol
laage2 = Part.makeTorus(2,0.15,Vector(13.5,-0.5,0),Vector(0,0,1),0,360,90)
laage2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),90)
laage = laage.fuse(laage2)

laage2 = Part.makeTorus(3,0.15,Vector(13.5,-0.5,0),Vector(0,0,1),0,360,90)
laage2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),90)
laage = laage.fuse(laage2)

### Solstråler
str = Part.makeCylinder(0.15,20,Vector(13.5,-0.5,0),Vector(1,0,0),360)
str.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),171)

str2 = Part.makeCylinder(0.15,20,Vector(13.5,-0.5,0),Vector(1,0,0),360)
str2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),162)
str = str.fuse(str2)

str2 = Part.makeCylinder(0.15,20,Vector(13.5,-0.5,0),Vector(1,0,0),360)
str2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),153)
str = str.fuse(str2)

str2 = Part.makeCylinder(0.15,20,Vector(13.5,-0.5,0),Vector(1,0,0),360)
str2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),144)
str = str.fuse(str2)

str2 = Part.makeCylinder(0.15,20,Vector(13.5,-0.5,0),Vector(1,0,0),360)
str2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),135)
str = str.fuse(str2)

str2 = Part.makeCylinder(0.15,20,Vector(13.5,-0.5,0),Vector(1,0,0),360)
str2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),126)
str = str.fuse(str2)

str2 = Part.makeCylinder(0.15,20,Vector(13.5,-0.5,0),Vector(1,0,0),360)
str2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),117)
str = str.fuse(str2)

str2 = Part.makeCylinder(0.15,20,Vector(13.5,-0.5,0),Vector(1,0,0),360)
str2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),108)
str = str.fuse(str2)

str2 = Part.makeCylinder(0.15,20,Vector(13.5,-0.5,0),Vector(1,0,0),360)
str2.rotate(Vector(13.5,-0.5,0),Vector(0,0,1),99)
str = str.fuse(str2)

### Kort solstrålerne af ved solens kant
cut = Part.makeCylinder(3,4,Vector(13.5,-0.5,-2),Vector(0,0,1),360)
str = str.cut(cut)

### Kort solstrålerne af ved rammens kant
cut = Part.makeBox(20,20,4,Vector(-20.5,-4,-2))
str = str.cut(cut)

cut = Part.makeBox(20,20,4,Vector(-4,11.5,-2))
str = str.cut(cut)

### Monter solstrålerne på lågen
laage = laage.fuse(str)

### Hængsler
laage2 = Part.makeBox(0.6,1.2,0.3,Vector(13.5,8,-0.2))
laage = laage.fuse(laage2)
laage2 = Part.makeBox(0.6,1.2,0.3,Vector(13.5,1.5,-0.2))
laage = laage.fuse(laage2)


### Slut:
Part.show(laage)
Gui.activeDocument().activeView().viewAxometric()
laage.exportStl("/home/henrik/Jernbane/FreeCAD/Havelaage/Havelaage.stl")

Og her er havelågerne på stationsbyvejen på en af mine venners anlæg: